Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires: libdb1-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define fontpkgname nss_updatedb
Name:		nss_updatedb
Version:	10
Release:	alt2_22
Summary:	Maintains a local cache of network directory user and group information

License:	GPL+
URL:		http://www.padl.com/OSS/%{name}.html
Source0:	http://www.padl.com/download/%{name}.tgz

#BuildRequires:	db4-devel
BuildRequires:  gcc
BuildRequires: libdb4.8-devel
Source44: import.info

%description
The nss_updatedb utility maintains a local cache of network directory user
and group information. Used in conjunction with the pam_ccreds module, 
it provides a mechanism for disconnected use of network directories.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
%make_build CFLAGS="$RPM_OPT_FLAGS -ldb"

%install
make install INSTALL="install -p" DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir}/
install -p %{name} $RPM_BUILD_ROOT/%{_sbindir}/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/%name-%{version}



%files
%doc ChangeLog README COPYING AUTHORS
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}*


%changelog
* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 10-alt2_22
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 10-alt2_21
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 10-alt2_20
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 10-alt1_20
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 10-alt1_19
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 10-alt1_18
- update to new release by fcimport

* Sat Mar 02 2019 Igor Vlasenko <viy@altlinux.ru> 10-alt1_17
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 10-alt1_10
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 10-alt1_9
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 10-alt1_8
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 10-alt1_7
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 10-alt1_6
- initial fc import

